import { useEffect } from "react";
import "./App.css";
import Layout from "./components/base/layout";
import Form from "./components/top-level/form";
import Tasks from "./components/top-level/tasks";
import { useAppContext } from "./app-context/index";

function App() {
  const { todo, addTodo, getTodos, deleteTodo, updateTodo } = useAppContext();
  useEffect(() => {
    getTodos();
  }, []);

  return (
    <div className="App">
      <Layout count={todo?.filter((e) => !e.isCompleted).length}>
        {todo?.length > 0 ? (
          <Tasks tasks={todo} onChange={updateTodo} onDelete={deleteTodo} />
        ) : (
          <h3>No task</h3>
        )}
        <Form onSubmit={addTodo} />
      </Layout>
    </div>
  );
}

export default App;
