const url = "http://192.168.1.91:5000/task";

//POST METHOD
export async function addTodo(todo) {
  try {
    const response = await fetch(url, {
      method: "POST",
      headers: { "Content-type": "application/json" },
      body: JSON.stringify(todo),
    });
    return response.json();
  } catch (err) {
    console.log(err.message);
  }
}
//PATCH METHOD
export async function updateTodo({ id, ...todo }) {
  try {
    await fetch(url + `/${id}`, {
      method: "PATCH",
      headers: { "Content-type": "application/json" },
      body: JSON.stringify({ ...todo }),
    });
    const response = await getTodos();
    return response;
  } catch (err) {
    console.log(err.message);
  }
}

//GET METHOD
export async function getTodos() {
  try {
    return await fetch(url).then((data) => data.json());
  } catch (err) {
    console.log(err.message);
  }
}

//DELETE METHOD
export async function deleteTodo(id) {
  try {
    await fetch(url + `/${id}`, {
      method: "DELETE",
    });
    const response = await getTodos();
    return response;
  } catch (err) {
    console.log(err.message);
  }
}
